CheshirskyCat

Пользователи
  • Публикации

    126
  • Зарегистрирован

  • Посещение

  • Дней в лидерах

    27

Все публикации пользователя CheshirskyCat

  1. Можно еще использовать справку МИС (например в разделе поиск пациентов справа-вверху под кнопкой выхода есть ссылка Справка) Откроется страница ДокуВики. Справа-вверху есть ссылка для авторизации в вики. Используем ее аналогично как в парус-кадры.
  2. Пробуя разные варианты установки Firefox ESR нашел еще один способ, как поставить ESR версию не затрагивая ту, которая идет в репозитариях. В этом пункте можно сделать так (используем команду dpkg-divert - создание отклонений версии) sudo dpkg-divert --divert /usr/bin/firefox-old --rename /usr/bin/firefox Таким образом "штатная" версия мозиллы из репозитариев будет обновляться и запускаться по имени firefox-old (если не нравиться, можете придумать свое имя). А затем как и было указано делаем ссылку на firefox-esr sudo ln -s /opt/firefox/firefox /usr/bin/firefox Особенное это актуально как раз для новых дистрибутивов linux, в которых ставится последняя версия мозиллы, в которой оключены все старые дополнения. Теперь обновления системы не будут "портить" нашу ссылку на ESR версию, а будут обновлять firefox-old
  3. Как можно поставить последнюю версию браузера Mozilla Firefox на старый дистрибутив Ubuntu с помощью бинарной сборки. Пока без картинок :) Я делал так... (не удаляя штатный браузер) Имеем: Ubuntu 10.04 В репозитариях у него Mozilla Firefox версии 20.0 Необходимо поставить последнюю версию Mozilla Firefox. 1. Идем на сайт: http://mozilla-russia.org/products/firefox/linux.html 2. Там где Бинарные сборки Mozilla.org - Доступные тарболлы, скачиваем подходящий для нашей архитектуры файл, у меня это был i686 3. Готовим папку где у нас будет лежать этот тарболл. Я создал папку /opt/firefox, и назначил для этой папки права с доступом чтения-запуска для всех. Если хочется еще и обновлятся не используя sudo, можно добавить еще и права на запись. 4. С помощью mc заходим в скачанный архив, там заходим в папку firefox и все ее содержимое вместе с подкаталогами копируем в папку /opt/firefox 5. Поскольку старый (штатный) firefox мы не удаляем, сохраняем ссылку на него, на всякий случай. sudo mv /usr/bin/firefox /usr/bin/firefox-old 6. Делаем ссылку на новый firefox sudo ln -s /opt/firefox/firefox /usr/bin/firefox Проверяем, что получилось, даем команду ls -l /usr/bin/fir* результат должен быть примерно таким: user@xubuntu1:~$ ls -l /usr/bin/fir* lrwxrwxrwx 1 root root 20 2015-03-06 14:52 /usr/bin/firefox -> /opt/firefox/firefox lrwxrwxrwx 1 root root 25 2014-10-31 15:29 /usr/bin/firefox-old -> ../lib/firefox/firefox.sh user@xubuntu1:~$ Теперь при запуске Mozilla Firefox будет стартовать его новая версия. При первом запуске, возможно, предложит сделать Firefox браузером по умолчанию, согласитесь с этим. Старую версию можно будет запустить командой firefox-old Скачанный архив-тарболл можно удалить. Обновлять мозиллу можно будет как в windows через меню Справка - о Firefox. (Если вы не давали права запись в папку /opt/firefox простым пользователям, для обновления придется запускать мозиллу через sudo, то-есть sudo firefox, а потом Cправка - о Firefox.) Недостатки, н1. Если, вдруг, в репозиториях ubuntu 10.04 появится новая версия firefox при очередном обновлении системы ссылочка /usr/bin/firefox "испортится" и ее надо будет после обновления "поправить" н2. В системе осталась старая версия мозиллы, которая занимает место. н3. Обе версии firefox запускаются с одним профилем, и при запуске версии отличной от предыдущего запуска будут сообщения о проверке дополнений и тп. Можно исправить, сделав для каждой версии свой профиль и ярлык запуска с нужным профилем. Но это другая тема. (Или удалить штатный firefox, но иногда это тянет за собой потерю некоторой функциональности, надо проверять.) н4. Нельзя запустить одновременно и старую и новую версию без предварительных настроек. Если хочется, вам сюда: https://forum.mozilla-russia.org/viewtopic.php?id=52358 PS: По пункту 4. "С помощью mc" - для тех кто не в теме: mc - это консольный файл-менеджер linux, подобный Norton Commander для Dos. Если его у Вас еще нет, ставится он одной командой: sudo apt-get install mc Замечание, под ubuntu в mc не работает клавиша F10 (Выход из mc). Однако функциональные клавиши в mc продублированы последовательностью Esc затем цифра. Например Esc 0 - означает нажатие F10, Esc 1 - F1 и т.д.
  4. Верное направление!
  5. Я предварительно спросил - какой ресурс вам нужен. И предположил, что он должен быть среди туннелируемых. Обратил внимание - что рекомендация - старая 2013 года. Это значит - что она может не подойти для вашего случая. Ни один из ваших адресов 10.41.19.* - не входит в диапазон туннелируемых, которые были в моем примере. Конечно - доступ к ним и не появится. Зато, посмотрев iplir.conf у тонкого клиента 2016 года, я обнаружил там секцию для узла SM GW-Region Внутри этой секции как раз прописаны туннели, среди которых (первый) - для ваших ip-адресов tunnel= 10.41.19.1-10.41.19.254 to 10.41.19.1-10.41.19.254 tunnel= 10.41.20.1-10.41.20.254 to 10.41.20.1-10.41.20.254 tunnel= 10.61.0.1-10.61.254.254 to 10.61.0.1-10.61.254.254 tunnel= 10.62.0.1-10.62.254.254 to 10.62.0.1-10.62.254.254 Если в вашем конфиге iplir.conf отсутствует секция SM GW-Region - значит у вас старая версия ключевого файла .dst для установки vipnet. Тут вам поможет только звонок в техподдержку СТЕРХ
  6. При установке(переустановке) системы linux (debian,ubuntu), частенько бывает, что некоторые сайты с информационными системами не открываются (например МИС или Кадры с ip-адресами 192.168.101.102). Происходит это из-за того, что дистрибутивы с ключевой информацией VipNet прошлогодние древние и кофигурация сети записанная в них на сегодняшний день устарела. Как раз вчера столкнулся с такой проблемой. Переустановил на "Тонком клиенте" систему. Поставил VipNet, а сайты с регистратурой и кадрами не работают. Помогло решить проблему прописыванние нужных туннелей в файле конфигурации vipnet (/etc/vipnet/user/iplir.conf) Настройку этих туннелей посмотрел в работающем клиенте с Linux и вставил их в свежеустановленную конфигурацию. Вот эти настройки, может кому пригодится. Далее все команды приводятся для системы Ubuntu. запускаем терминал (в ubuntu через меню Приложения - Стандартные - Терминал), вводим команду sudo -s (получаем права root в консоли, в debian для этого служит команда su) вводим пароль пользователя, получаем консоль с правами root (в debian вводим пароль для root) останавливаем службу vipnet-клиента vipnet stop открываем в привычном для вас текстовом редакторе файл /etc/vipnet/user/iplir.conf я использую редактор leafpad (кстати, рекомендую именно его, в отличие от штатного gedit, leafpad правильно распознает кодировку и отображает русский текст как русский, а не "кракозяблы"), поэтому у меня команда выглядит так: leafpad /etc/vipnet/user/iplir.conf Находим в тексте конфигурации секцию с настройками для MIAC (нажимаем Ctrl+F, вводим MIAC, жмем кнопку найти) Видим примерно такую секцию с настройками: [id] id= 0x0965000a name= MIAC filterdefault= pass ip= 192.168.101.23 ip= 10.41.171.4 ip= 10.41.171.12 ip= 169.254.241.1 ip= 172.16.0.1 accessip= 10.0.0.18 firewallip= 109.195.20.60 port= 55777 proxyid= 0xfffffffe dynamic_timeout= 0 usefirewall= on virtualip= 10.0.0.18 version= 3.0-670 Так она выглядела у меня на свежеустановленной системе. Добавляем между строчками начинающихся с accessip и firewallip следующие строки (я их взял с работающего клиента vipnet) tunnel= 10.62.0.62-10.62.0.62 to 10.62.0.62-10.62.0.62 tunnel= 10.62.11.98-10.62.11.99 to 10.62.11.98-10.62.11.99 tunnel= 10.62.13.242-10.62.13.243 to 10.62.13.242-10.62.13.243 tunnel= 192.168.101.101-192.168.101.101 to 192.168.101.101-192.168.101.101 tunnel= 192.168.101.102-192.168.101.102 to 192.168.101.102-192.168.101.102 tunnel= 192.168.101.199-192.168.101.199 to 192.168.101.199-192.168.101.199 то есть измененная секция будет выглядеть примерно так: [id] id= 0x0965000a name= MIAC filterdefault= pass ip= 192.168.101.23 ip= 10.41.171.4 ip= 10.41.171.12 ip= 169.254.241.1 ip= 172.16.0.1 accessip= 10.0.0.18 tunnel= 10.62.0.62-10.62.0.62 to 10.62.0.62-10.62.0.62 tunnel= 10.62.11.98-10.62.11.99 to 10.62.11.98-10.62.11.99 tunnel= 10.62.13.242-10.62.13.243 to 10.62.13.242-10.62.13.243 tunnel= 192.168.101.101-192.168.101.101 to 192.168.101.101-192.168.101.101 tunnel= 192.168.101.102-192.168.101.102 to 192.168.101.102-192.168.101.102 tunnel= 192.168.101.199-192.168.101.199 to 192.168.101.199-192.168.101.199 firewallip= 109.195.20.60 port= 55777 proxyid= 0xfffffffe dynamic_timeout= 0 usefirewall= on virtualip= 10.0.0.18 version= 3.0-670 Обращаю внимание, что нужно именно вставить строки начинающиеся с слова tunnel= в ВАШУ секцию для MIAC. Возможно остальные параметры в ней не такие, как у меня. После чего, сохраняем и закрываем файл настроек (Ctrl-S, Ctrl-Q для редактора leafpad). Затем запускаем службу vipnet командой vipnet start и закрываем терминал После чего сайты с информационными системами стали открываться и работать.
  7. - что понимаете под словом федрег? Какой это ресурс (ip-адрес)? Возможно, что не прописаны туннели к нужному ресурсу. Пример (правда довольно старый) есть тут:
  8. Описания на сайте инфотекс почитайте ( https://infotecs.ru/downloads/documentacii/ ). VipNet Клиент 4 для линукс - только 64-битные ОС. VipNet Клиент 3 для линукс - не существовал в природе. Только VipNet Координатор 3 - он был только для 32-битных ос. То есть, поставить клиента випнет 4 на предыдущую систему нельзя. Надо переустанавливать систему. А вот VipNet координатор Linux 4 ставится и на 32-битные и на 64-битные системы. Но в списке систем - предыдущих версий (на которых "сидел" VipNet 3) чего-то не наблюдается... И, если, Вы в линукс не сильны - очень трудно разобраться чего не хватает. Я, хотя и работаю в среде linux достаточно давно (примерно с 2003 года), некоторые вещи с трудом понимаю. Тем более все дистрибутивы немного разные (Mandriva, Fedora, OpenSuSE, Alt-Linux (сейчас это basealt), Ubuntu, Debian, Puppy Linux, Knoppix.....)
  9. Тоже "курил" документацию, пока не нашел как вручную подцепить файлик .dst В третьей версии випнет для линукс, просто был интерактивный вопросик с возможностью указать. Здесь, похоже, с этим "засада" Может попробовать VipNet Координатор 4 для Linux поставить попробовать... У меня пока "руки не дошли"... Я было сунулся клиент в ubuntu пробовать установить. А её в списке поддерживаемых систем для Клиента - нет.
  10. на скрине текст: failed to create sybmolic link '/lib/modules/3.16.0-4-amd64/build/include/linux/verson.h': No such file or directory Может еще не все встало... (похоже, что headers файлов не хватает)
  11. Я высказывал предположения. Пока-же ситуация следующая. "Рабочая" версия 2,8. Java должна быть версии 7. Замеченные недостатки (особенно на Windows 10), В отчёт попадают помеченные на удаление записи. Поясняю. Если какие-нибудь строки удалялись в программе apuvwin, в самом файле gapu.dbf эти строки остаются помеченными на удаление. Они-то и "портят" картину. Пока варианта "лечения" три. Либо упаковывать таблицу gapu.dbf используя Visual FoxPro, из командного окна FoxPro примерно так: USE C:\APUVWIN\DBF\GAPU PACK Либо из программы apuvwin запускать пункт "Конвертация данных". Но в последний раз, конвертация данных сбивала период текущий. То есть когда в начале февраля обрабатывали январские данные возникали какие-то глюки. Третий вариант - обновлять программу - что тоже ведет к конвертации данных.
  12. Обычно такое выдает, если листок с Excel сформировался, а прога Анализ ОМС - "упала". И при "тыке" в ячейку идет обращение к программе Анализ ОМС как к серверу, а программы то уже нет в памяти...
  13. Там еще как вариант - электричка. Типа Анисовка - Аткарск
  14. Боюсь, что отдельно поставить VipNet Деловую почту не получиться. Если вкратце: Она использует ЭЦП которые идут вместе с монитором + адрес узла - это и адрес почты. Параллельно - не пойдет. Единственное приходит на ум - как-то автопроцессинг на прием-передачу почты задействовать с использованием сетевых папок. Типо пришло письмо с вложением *.pdf - > положить его в папку (которая доступна через сеть) или появилось в некоей папке нечто типа .doc - причепить его к письму и отправить куда подальше...
  15. Это бабуля подружке снизу/сверху помогла... Чтоб, значит, Wi-Fi лучше там у нее ловил...
  16. Тут нашел: http://sarmiac.medportal.saratov.gov.ru/mis/ После переезда сервисов "Web-своды", "СЭД" и "Управление кадровыми ресурсами" на отдельных компьютерах наблюдаются проблемы с доступом - низкая скорость, потеря соединения. Для решения проблемы следует в настройках сетевой карты установить значение MTU равным 1300. Это можно сделать с помощью прилагаемой утилиты (для windows).
  17. у меня на одном рабочем месте регистраторы в Chromium на ubuntu 10.04 работают. Пропробуй MTU подрегулировать... когда-то у них была рекомендация выставлять его в значение 1300 (по умолчанию стоит 1500)
  18. Уже добавил в свою коллекцию: https://yadi.sk/d/mAd-wEf9jFG7a К слову, ссылка на загрузку: https://download.epson-biz.com/modules/pos/index.php?page=single_soft&cid=5012&pcat=3&pid=36 Описание версии: Версия Ver.2.0.3.0 Дата загрузки 2016/08/05 Размер файла 5,835KB Пояснение This is a printer driver for printing on a TM/BA series printer from Linux using CUPS. [Changes from Ver.2.0.2.0] [Added support model] - TM-T88VI, TM-T88VI-iHUB [Support Model] BA-T500II, TM-H6000II, TM-H6000III, TM-H6000IV, TM-m10, TM-m30, TM-T20, TM-T20II, TM-T70, TM-T70II, TM-T82, TM-T82II, TM-T88IV, TM-T88V, TM-T88VI, TM-T90, TM-T90II, TM-U120, TM-U120II, TM-U220A/B/D, TM-U230, TM-U375, TM-U675 [Support OS] - Ubuntu 9.04 (32/64bit) - Ubuntu 12.04 LTS (32/64bit) - Ubuntu 14.04 LTS (32/64bit) - openSUSE 11.1 (32/64bit) - openSUSE 12.2 (32/64bit) - openSUSE 13.1 (32/64bit) - Red Hat Enterprise Linux 6.4 (32/64bit) - Red Hat Enterprise Linux 6.5 (32/64bit)
  19. я и пытался донести мысль, что с КриптоПро 3.6.х - не работает...
  20. Удалось смоделировать через командную строку. Правда код ошибки другой. Но суть фразы та-же: Утилита командной строки для подписи и шифрования файлов. Ошибка: Объект или свойство не найдено. Это под Windows 10 Pro Insider Preview. Build 14986.rs_prerelease.161202-1928 с КриптоПро 3.6.1 (3.6.7777) - это на которую нам в Казначестве обновляли.
  21. Да, и еще, ошибки у меня дополнительно в окошке консоли сыпались, там где командный файл запускающий java работал. А вот чтоб окошко такое выходило - не было...
  22. С 3.6 и у меня запускалась... Но только doc-файлики могла делать. А вот req - нет... Хотя, у меня-же, как выяснилось, проблема еще и в кавычках запятых была... Я в тот момент чего-только не перепробовал. И файл .bat в .cmd переименовывал, чтоб командный процессор поменять. И chcp пробовал менять... (варианты chcp 1251 или chcp 866), думал может с именами файлов чего-то там...
  23. Если судить по этому: скорее всего не будет работать. Я первым делом попробовал ЕРЗ на новых тонких клиентах 2016 года. С wine из стандартных репозиториев Debian у меня ЕРЗ не заработал... Тоже подобные ошибки сыпались... Где-то здесь на форуме упоминалось, как текущую стабильную ветку wine поставить, но скорее всего в чате об этом был разговор... Короче, на тонком клиенте 2016 у меня стоит wine-1.9.9 (Staging). Не помню откуда ставил - но не из стандартных "реп" Deban'a В нем все работает. Если же связь с WebVipNet глючит, то просто прога "вешается" или ошибку выдает о недоступности сервера. PS: О! Нашел у себя, откуда Wine установлен: в /etc/apt/sources.list.d/wine.list прописано у меня deb http://dl.winehq.org/wine-builds/debian/ wheezy main Но перед установкой "реп" я сносил wine под корень с вычисткой ~/.wine Короче, вам сюда: https://wiki.winehq.org/Debian
  24. где-то тут: http://cryptopro.ru/downloads/howto?destination=node%2F148 Надо там зарегистрироваться и скачать "типо" тестовую версию (при установке скажет, что будет временная лицензия на 3 месяца). Да, еще не уверен, можно ли ее поверх 3.6 ставить. Какая там ситуация с лицензиями будет. Когда я "бился об стену", я в виртуальной машине уже нафиг снес версию 3.6 и "вчистую" ставил четвертую. Хотя, дело оказалось в запятых и кавычках в адресе и наименовании...
  25. Вообще-то все это выглядит как "написано на коленке"... Можно было чуть поправить скриптик и всё-бы нормально генерировалось... Только это, видимо, им "лениво"...